VertexRenderer (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.VertexRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class VertexRenderer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLabel
                      org.jgraph.graph.VertexRenderer

All Implemented Interfaces:
  Accessible, CellViewRenderer, ImageObserver, MenuContainer, Serializable, SwingConstants

public class VertexRenderer
extends JLabel
implements CellViewRenderer, Serializable

This renderer displays entries that implement the CellView interface and supports the following attributes. If the cell view is not a leaf, this object is only visible if it is selected.

- GraphConstants.BOUNDS GraphConstants.ICON GraphConstants.FONT GraphConstants.OPAQUE GraphConstants.BORDER GraphConstants.BORDERCOLOR GraphConstants.LINEWIDTH GraphConstants.FOREGROUND GraphConstants.BACKGROUND GraphConstants.VERTICAL_ALIGNMENT GraphConstants.HORIZONTAL_ALIGNMENT GraphConstants.VERTICAL_TEXT_POSITION GraphConstants.HORIZONTAL_TEXT_POSITION

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JLabel
`JLabel.AccessibleJLabel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected Color` | `bordercolor` Cached default foreground and default background.
`protected int` | `borderWidth` Cached borderwidth.
`protected boolean` | `childrenSelected` Cached hasFocus and selected value.
`protected Color` | `defaultBackground` Cached default foreground and default background.
`protected Color` | `defaultForeground` Cached default foreground and default background.
`protected Color` | `gradientColor` Caches values of the colors to be used for painting the cell.
`protected Color` | `gridColor` Caches values of the colors to be used for painting the cell.
`protected boolean` | `hasFocus` Cached hasFocus and selected value.
`protected Color` | `highlightColor` Caches values of the colors to be used for painting the cell.
`protected boolean` | `isDoubleBuffered` Cached value of the double buffered state
`protected boolean` | `labelEnabled` Cached value of whether the label is to be displayed
`protected Color` | `lockedHandleColor` Caches values of the colors to be used for painting the cell.
`protected boolean` | `preview` Cached hasFocus and selected value.
`protected boolean` | `selected` Cached hasFocus and selected value.
`protected VertexView` | `view` Cache the current shape for drawing.

Fields inherited from class javax.swing.JLabel
`labelFor`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`VertexRenderer()` Constructs a renderer that may be used to render vertices.

Method Summary
`void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, byte oldValue, byte newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, char oldValue, char newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, double oldValue, double newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, float oldValue, float newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, int oldValue, int newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, long oldValue, long newValue)` Overridden for performance reasons.
`protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)` Overridden for performance reasons.
`void` | `firePropertyChange(String propertyName, short oldValue, short newValue)` Overridden for performance reasons.
`Color` | `getGradientColor()`
`Point2D` | `getPerimeterPoint(VertexView view, Point2D source, Point2D p)` Returns the intersection of the bounding rectangle and the straight line between the source and the specified point p.
`Component` | `getRendererComponent(JGraph graph, CellView view, boolean sel, boolean focus, boolean preview)` Configure and return the renderer component based on the passed in cell.
`protected void` | `installAttributes(CellView view)` Install the attributes of specified cell in this renderer instance.
`void` | `paint(Graphics g)` Paint the renderer.
`protected void` | `paintSelectionBorder(Graphics g)` Provided for subclassers to paint a selection border.
`void` | `repaint(long tm, int x, int y, int width, int height)` Overridden for performance reasons.
`void` | `repaint(Rectangle r)` Overridden for performance reasons.
`protected void` | `resetAttributes()` Hook for subclassers that is invoked when the installAttributes is not called to reset all attributes to the defaults.
`void` | `revalidate()` Overridden for performance reasons.
`void` | `setGradientColor(Color gradientColor)`
`void` | `validate()` Overridden for performance reasons.

Methods inherited from class javax.swing.JLabel
`checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### view

    protected transient VertexView view

  Cache the current shape for drawing.

### hasFocus

    protected transient boolean hasFocus

  Cached hasFocus and selected value.

### selected

    protected transient boolean selected

  Cached hasFocus and selected value.

### preview

    protected transient boolean preview

  Cached hasFocus and selected value.

### childrenSelected

    protected transient boolean childrenSelected

  Cached hasFocus and selected value.

### defaultForeground

    protected transient Color defaultForeground

  Cached default foreground and default background.

### defaultBackground

    protected transient Color defaultBackground

  Cached default foreground and default background.

### bordercolor

    protected transient Color bordercolor

  Cached default foreground and default background.

### borderWidth

    protected transient int borderWidth

  Cached borderwidth.

### isDoubleBuffered

    protected transient boolean isDoubleBuffered

  Cached value of the double buffered state

### labelEnabled

    protected transient boolean labelEnabled

  Cached value of whether the label is to be displayed

### gradientColor

    protected transient Color gradientColor

  Caches values of the colors to be used for painting the cell. The values for gridColor, highlightColor and lockedHandleColor are updated with the respective values from JGraph in getRendererComponent each time a vertex is rendered. To render the selection border, the highlightColor or the lockedHandleColor are used depending on the focused state of the vertex. The gridColor is used to draw the selection border if any child cells are selected. To change these color values, please use the respective setters in JGraph.

### gridColor

    protected transient Color gridColor

  Caches values of the colors to be used for painting the cell. The values for gridColor, highlightColor and lockedHandleColor are updated with the respective values from JGraph in getRendererComponent each time a vertex is rendered. To render the selection border, the highlightColor or the lockedHandleColor are used depending on the focused state of the vertex. The gridColor is used to draw the selection border if any child cells are selected. To change these color values, please use the respective setters in JGraph.

### highlightColor

    protected transient Color highlightColor

  Caches values of the colors to be used for painting the cell. The values for gridColor, highlightColor and lockedHandleColor are updated with the respective values from JGraph in getRendererComponent each time a vertex is rendered. To render the selection border, the highlightColor or the lockedHandleColor are used depending on the focused state of the vertex. The gridColor is used to draw the selection border if any child cells are selected. To change these color values, please use the respective setters in JGraph.

### lockedHandleColor

    protected transient Color lockedHandleColor

  Caches values of the colors to be used for painting the cell. The values for gridColor, highlightColor and lockedHandleColor are updated with the respective values from JGraph in getRendererComponent each time a vertex is rendered. To render the selection border, the highlightColor or the lockedHandleColor are used depending on the focused state of the vertex. The gridColor is used to draw the selection border if any child cells are selected. To change these color values, please use the respective setters in JGraph.

Constructor Detail

### VertexRenderer

    public VertexRenderer()

  Constructs a renderer that may be used to render vertices.

Method Detail

### getRendererComponent

    public Component getRendererComponent(JGraph graph,
                                          CellView view,
                                          boolean sel,
                                          boolean focus,
                                          boolean preview)

  Configure and return the renderer component based on the passed in cell. The value is typically set from messaging the graph with `convertValueToString`. We recommend you check the value's class and throw an illegal argument exception if it's not correct.

  Specified by:
    `getRendererComponent` in interface `CellViewRenderer`
  Parameters:
    `graph` - the graph that that defines the rendering context.
    `view` - the cell view that should be rendered.
    `sel` - whether the object is selected.
    `focus` - whether the object has the focus.
    `preview` - whether we are drawing a preview.
  Returns:
    the component used to render the value.

### resetAttributes

    protected void resetAttributes()

  Hook for subclassers that is invoked when the installAttributes is not called to reset all attributes to the defaults.
  Subclassers must invoke the superclass implementation.

### installAttributes

    protected void installAttributes(CellView view)

  Install the attributes of specified cell in this renderer instance. This means, retrieve every published key from the cells hashtable and set global variables or superclass properties accordingly.

  Parameters:
    `view` - the cell view to retrieve the attribute values from.

### paint

    public void paint(Graphics g)

  Paint the renderer. Overrides superclass paint to add specific painting.

### paintSelectionBorder

    protected void paintSelectionBorder(Graphics g)

  Provided for subclassers to paint a selection border.

### getPerimeterPoint

    public Point2D getPerimeterPoint(VertexView view,
                                     Point2D source,
                                     Point2D p)

  Returns the intersection of the bounding rectangle and the straight line between the source and the specified point p. The specified point is expected not to intersect the bounds.

### validate

    public void validate()

  Overridden for performance reasons. See the Implementation Note for more information.

### revalidate

    public void revalidate()

  Overridden for performance reasons. See the Implementation Note for more information.

### repaint

    public void repaint(long tm,
                        int x,
                        int y,
                        int width,
                        int height)

  Overridden for performance reasons. See the Implementation Note for more information.

### repaint

    public void repaint(Rectangle r)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    protected void firePropertyChange(String propertyName,
                                      Object oldValue,
                                      Object newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   byte oldValue,
                                   byte newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   char oldValue,
                                   char newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   short oldValue,
                                   short newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   int oldValue,
                                   int newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   long oldValue,
                                   long newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   float oldValue,
                                   float newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   double oldValue,
                                   double newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### firePropertyChange

    public void firePropertyChange(String propertyName,
                                   boolean oldValue,
                                   boolean newValue)

  Overridden for performance reasons. See the Implementation Note for more information.

### getGradientColor

    public Color getGradientColor()

  Returns:
    Returns the gradientColor.

### setGradientColor

    public void setGradientColor(Color gradientColor)

  Parameters:
    `gradientColor` - The gradientColor to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.